Index: /trunk/gsdl/macros/extlink.dm
===================================================================
--- /trunk/gsdl/macros/extlink.dm	(revision 875)
+++ /trunk/gsdl/macros/extlink.dm	(revision 876)
@@ -1,63 +1,31 @@
 package extlink
 
-_iconforward_{<img src="_httpiconmore_" align=absbottom 
-width=_widthmore_ height=_heightmore_ border=0 alt="_texticonforward_">}
-_iconforward_[v=1] {_texticonforward_}
-
-_iconbackward_{<img src="_httpiconless_" align=absbottom 
-width=_widthless_ height=_heightless_ border=0 alt="_texticonbackward_">}
-_iconbackward_[v=1] {_texticonbackward_}
-
-_texticonforward_ {forward to external page}
-_texticonbackward_ {back to previous page}
-
-_nexturl_ {}
-_prevdoc_ {}
+_header_ {_htmlhead_}
 
 _foundcontent_ {
 
-<h3>External link</h3>
+<h3>_textextlink_</h3>
 
-<p> The link you have selected is external to the _collectionname_
-    collection.
-    If you still wish to view this link and your browser has access to 
-    the Web, you can go 
-    <a href="_nexturl_">forward</a> to this page; otherwise you can go
-    <a href="_httpdocument_&cl=_cgiargcl_&d=_prevdoc_">back</a> 
-    to the previous document.
+<p> _textextlinkcontent_
+}
 
-<p>
-<center>
-   <table>
-     <tr align=absbottom>
-	<td><a href="_httpdocument_&cl=_cgiargcl_&d=_prevdoc_">_iconbackward_</a></td>
-	<td><a href="_httpdocument_&cl=_cgiargcl_&d=_prevdoc_">Back</a></td>
-        <td><a href="_nexturl_">Forward</a></td>
-	<td><a href="_nexturl_">_iconforward_</a></td>
-     </tr>
-   </table>
-</center>
+# should have arguments of collection, collectionname and link
+_foundintcontent_ {
 
+<h3>Link to "_2_" collection</h3>
+
+<p> The link you have selected is external to the "_collectionname_"
+    collection (it links to the "_2_" collection).
+    If you wish to view this link in the "_2_" collection you can 
+    <a href="_httpdoc_&c=_1_&cl=_cgiargcl_&d=_3_">go forward</a> to this page; 
+    otherwise use your browsers "back" button to return to the previous document.
 }
 
 _notfoundcontent_ {
 
-<h3>Internal link not found</h3>
+<h3>_textlinknotfound_</h3>
 
-<p> For reasons beyond our control, the internal link you have selected 
-    does not exist.  This is most
-    probably due to an error in the source collection.
-    Click <a href="_httpdocument_&cl=_cgiargcl_&d=_prevdoc_">back</a> 
-    to return to the previous document.
+<p> _textlinknotfoundcontent_
+}
 
-<p>
-<center>
-   <table>
-     <tr align=absbottom>
-	<td><a href="_httpdocument_&cl=_cgiargcl_&d=_prevdoc_">_iconbackward_</a></td>
-	<td><a href="_httpdocument_&cl=_cgiargcl_&d=_prevdoc_">Back</a></td>
-     </tr>
-   </table>
-</center>
 
-}
Index: /trunk/gsdl/macros/gsdlsoft.dm
===================================================================
--- /trunk/gsdl/macros/gsdlsoft.dm	(revision 876)
+++ /trunk/gsdl/macros/gsdlsoft.dm	(revision 876)
@@ -0,0 +1,64 @@
+package gsdlsoft
+
+
+#######################################################################
+# java images/scripts
+#######################################################################
+
+# the _javalinks_ macros are the flashy image links at the top right of
+# the page. 
+
+_javalinks_ {_imagehome_}
+_javalinks_ [v=1] {
+_imagehome_<br>
+}
+
+#######################################################################
+# page content
+#######################################################################
+
+_pagetitle_ {NZDL: Greenstone Digital Library Software}
+
+_imagethispage_ {_imagegreenstone_}
+
+_content_ {
+_iconblankbar_
+
+<h4>The Greenstone software</h4>
+
+<p> The Greenstone Digital Library software provides a new way of organizing
+information and making it available over the Internet.  A <i>collection</i> of
+information comprises several (typically several thousand, or even several
+million) <i>documents</i>, which share a uniform searching and browsing
+interface.  The collections in a library are organized in a different
+way--though they share a strong family resemblance.  Although primarily
+designed for access over the Web, Greenstone collections can be made available,
+in precisely the same form, on CD-ROM for standalone PCs.  Greenstone is
+open-source software, available under the terms of the Gnu public linense.
+
+<h4>Installing Greenstone</h4>
+
+<p> To install on unix systems:
+
+<ul>
+<li>Download the <a href="http://www.nzdl.org/technology/gsdl-2.11.tar.gz"><i>gsdl-2.11</i></a> distribution.
+<li>Extract the gzipped tar archive (tar xvzf gsdl-2.11.tar.gz)
+<li>In the resulting gsdl directory type "./configure". When the configure script has finished running type
+"make", then "make install".
+<li>"make install" copies the compiled executable file into the top level gsdl directory by default. To
+run the library as a cgi script move the executable to your cgi-bin directory.
+<li>To build the demonstration collection that comes with the distribution run the builddemo.sh script
+from within the gsdl directory.
+<li>The gsdl/etc/site.cfg.example file must be saved as gsdl/etc/site.cfg and edited to suit your site.
+Things that may need changing are httpprefix (the web path to the gsdl directory) and httpimg (the path
+to gsdl/images).
+</ul>
+
+<p> The current distribution of the Greenstone software was developed primarily for use on unix systems.
+The software does run under Windows/DOS however and windows specific distributions (including pre-compiled 
+binaries) will soon be made available.
+
+<h4>Bugs</h4>
+Please report bugs or installation problems to <a href="mailto:greenstone@cs.waikato.ac.nz">greenstone@cs.waikato.ac.nz</a>
+
+}
Index: /trunk/gsdl/macros/help.dm
===================================================================
--- /trunk/gsdl/macros/help.dm	(revision 875)
+++ /trunk/gsdl/macros/help.dm	(revision 876)
@@ -2,139 +2,19 @@
 
 _imagethispage_ {_iconthispage_}
-_iconthispage_ {<img src="_httpimg_/h_help.gif" alt="Help" width="200" height="57">}
-_iconthispage_ [l=mi] {<img src="_httpimg_/mh_help.gif" alt="&Auml;whina" width="200" height="57">}
+_iconthispage_ {<img src="_httpimg_/h_help.gif" alt="_textHelp_" width="200" height="57">}
+_iconthispage_ [l=mi] {<img src="_httpimg_/mh_help.gif" alt="_textHelp_" width="200" height="57">}
 
+_httpicondtchdemo_ {_httpimg_/edtchof.gif}
+_httpicondtchdemo_ [l=mi] {_httpimg_/medtchof.gif}
+_httpiconeexpdemo_ {_httpimg_/eexpcof.gif}
+_httpiconeexpdemo_ [l=mi] {_httpimg_/meexpcof.gif}
+_httpiconealltdemo_ {_httpimg_/ealltof.gif}
+_httpiconealltdemo_ [l=mi] {_httpimg_/mealltof.gif}
+
+_textnumbrowseoptions_ {_If_("_numbrowseoptions_" != "1",<p>_texttanumbrowseoptions_)}
 
 _simplehelp_ {
 _textnumbrowseoptions_
 _textbrowseoptions_
-<p><br>_iconexplain_
-}
-
-_textSearchshort_ {search for particular words}
-_textSearchshort_ [l=mi] {rapua he kupu}
-_textSeriesshort_ {access publications by series}
-_textSeriesshort_ [l=mi] {tirohia te whakar&auml;rangi taitara}
-_textDateshort_ {access publications by date}
-_textDateshort_ [l=mi] {tirohia te whakar&auml;rangi e p&auml; ana ki te w&auml;}
-_textSubjectshort_ {access publications by subject}
-_textTitleshort_ {access publications by title}
-_textBrowseshort_ {browse publications}
-_textCreatorshort_ {access publications by author}
-_textOrganizationshort_ {access publications by organization}
-_textHowtoshort_ {access publications by how to listing}
-_textTopicshort_ {access publications by topic}
-_textPeopleshort_ {access publications by people}
-_textdefaultshorttext_ {undefined classification}
-
-_textSearchlong_ {
-<p>You can <i>search for particular words</i> that appear in the text from the
-"search" page. This is the first page that comes up when you begin, and can be
-reached from other pages by pressing the <i>search</i> button.
-}
-
-_textSearchlong_ [l=mi] {
-<p>Ko te wh&auml;rangi rapu te wh&auml;rangi <i>e rapu atu ai ng&auml; kupu</i> i roto
-i ng&auml; tuhinga. Kia puta mai ai t&euml;nei wh&auml;rangi, i a koe e titiro ana ki 
-te kohinga niupepa nei p&auml;whiritia te p&auml;tene <i>rapu</i>.
-}
-
-_textTitlelong_ {
-<p>You can <i>access publications by title</i> by pressing the <i>titles a-z</i>
-button.  This brings up a list of books in alphabetic order.
-}
-
-_textOrganizationlong_ {
-<p>You can <i>access publications by organization</i> by pressing the <i>organization</i>
-button.  This brings up a list of organizations.
-}
-
-_textHowtolong_ {
-<p>You can <i>access publications by how to listing</i> by pressing the <i>how to</i>
-button.  This brings up a list of how to strings.
-}
-
-_textCreatorlong_ {
-<p>You can <i>access publications by author</i> by pressing the <i>authors a-z</i>
-button.  This brings up a list of books, sorted by author name.
-}
-
-_textTopiclong_ {
-<p>You can <i>access publications by topic</i> by pressing the <i>topic</i>
-button.  This brings up a list of topics to browse.
-}
-
-_textSubjectlong_ {
-<p>You can <i>access publications by subject</i> by pressing the <i>subjects</i>
-button.  This brings up a list of subjects, represented by bookshelves.
-}
-
-_textSerieslong_ {
-<p>You can <i>access publications by series</i> by pressing the <i>series</i> button. 
-This brings up a list of those series which are currently in the collection. 
-}
-
-_textSerieslong_ [l=mi] {
-<p>Kia <i>tirohia te whakar&auml;rangi taitara</i> p&auml;whiritia te p&auml;tene 
-<i>whakar&auml;rangi taitara</i>. Ka puta mai te whakar&auml;rangi o ng&auml;
-niupepa e p&auml; ana ki ng&auml; taitara.
-}
-
-_textDatelong_ {
-<p>You can <i>access publications by date</i> by pressing the <i>dates</i> button. 
-This brings up a list of all the issues, sorted chronologically.
-}
-
-_textDatelong_ [l=mi] {<p>Kia <i>tirohia te whakar&auml;rangi e p&auml; ana ki te w&auml;</i> p&auml;whiritia te
-p&auml;tene <i>w&auml;taka</i>. Ka puta mai te whakar&auml;rangi o ng&auml; niupepa
-e p&auml; ana ki te w&auml; i puta mai ai aua niupepa.
-}
-
-_textBrowselong_ {
-<p>You can <i>browse publications</i> by pressing the <i>browse</i> button.
-}
-
-_textPeoplelong_ {
-<p>You can <i>access publications by people</i> by pressing the 
-   <i>people a-z</i> button.  This brings up a list of entries, sorted by 
-     surname.
-}
-
-_textdefaultlongtext_ {
-<p>Click on the <i>unknown</i> button to browse publications (listing is sorted
-by an unknown field).
-}
-
-
-_iconexplain_ {
-<table cellspacing="0" cellpadding="2" border="0">
-<tr valign="top"><td><img src="_httpimg_/book.gif" width="18" height="11" border="0"></td>
-<td>Click on a book icon to read the corresponding book</td></tr></table>
-<table cellspacing="0" cellpadding="2" border="0">
-<tr valign="top"><td><img src="_httpimg_/bshelf.gif" border="0" width=20 height=16></td>
-<td>Click on a bookshelf icon to look at books on that subject</td></tr>
-</table>
-}
-
-_iconexplain_ [l=mi] {
-<table cellspacing="0" cellpadding="2" border="0">
-<tr valign="top"><td><img src="_httpimg_/book.gif" width="18" height="11" border="0"></td>
-<td>Pat&ouml;hia te p&auml;tene pukapuka kia puta mai ai taua pukapuka</td></tr></table>
-<table cellspacing="0" cellpadding="2" border="0">
-<tr valign="top"><td><img src="_httpimg_/bshelf.gif" border="0" width=20 height=16></td>
-<td>Pat&ouml;hia te p&auml;tene kohinga kia puta mai ai ng&auml; niupepa o taua kohinga</td></tr>
-</table>
-}
-
-_iconexplain_ [v=1] {
-<p>
-Click on <b><u>open book</u></b> to read corresponding book.<br>
-Click on <b><u>open section</u></b> to look at books on that subject.
-}
-
-_iconexplain_ [l=mi,v=1] {
-<p>
-Pat&ouml;hia te <b><u>pukapuka</u></b> kia puta mai ai taua pukapuka<br>
-Pat&ouml;hia te <b><u>kohinga</u></b> kia puta mai ai ng&auml; niupepa o taua kohinga
 }
 
@@ -142,467 +22,16 @@
 <center>_navigationbar_</center>
 _texthelptopics_
+<p>_iconblankbar_
 <a name=finding-information>
-_iconblankbar_<br>
 <h2>_textsimplehelpheading_</h2>
 _simplehelp_
-<p>
-<a name=reading-books>
-_iconblankbar_<br>
-_texthelpreadingbooks_
-_textexplainbuttons_
-<p>
+_texthelpreadingdocs_
+<p>_iconblankbar_
 <a name=searching>
-_iconblankbar_<br>
 _texthelpsearching_
-<p>
-_iconblankbar_<br>
-}
-
-################################
-# English text                 #
-################################
-
-_texthelptopics_ {
-<h2 align=left>Topics</h2>
-<ul>
-  <li><a href="\#finding-information">_textsimplehelpheading_</a>
-  <li><a href="\#reading-books">How to read the books</a>
-  <li><a href="\#searching">How to search for particular words</a>
-<ul>
-  <li><a href="\#query-terms">Search terms</a>
-  <li><a href="\#query-type">Query type</a>
-  <li><a href="\#scope-of-queries">Scope of queries</a>
-  <li><a href="\#stemming">Case sensitivity and stemming</a>
-</ul>
-</ul>
-}
-
-_texthelpreadingbooks_ {
-<h2>How to read the books</h2>
-
-<p>You can tell when you have arrived at an individual book because there is a
-photograph of its front cover.  Beside the photograph is a table of contents
-with an arrow marking where you are.  This table is expandable: click on the
-folders to open them or close them.  Click on the open book at the top to close
-it.
-
-<p>Underneath is the text of the current section.  When you have read through
-it, there are arrows at the bottom to take you on to the next section or back
-to the previous one.
-
-<p>Below the photograph are three buttons.  Click on <i>detach</i> to make a
-new browser window for this book.  (This is useful if you want to compare
-books, or read two at once.)  Click on <i>expand contents</i> to expand out the
-whole table of contents so that you can see the titles of all chapters and
-subsections.  Click on <i>expand text</i> to expand out the whole text of the
-current section, or book.  If the book is large, this could take a long time
-and use a lot of memory!
-}
-
-_textnextbutton_ {Click on the arrow to go to the next section ...}
-_textprevbutton_ {... or back to the previous section}
-
-_httpicondtchdemo_ {_httpimg_/edtchof.gif}
-_httpicondtchdemo_ [l=mi] {_httpimg_/medtchof.gif}
-
-_httpiconeexpdemo_ {_httpimg_/eexpcof.gif}
-_httpiconeexpdemo_ [l=mi] {_httpimg_/meexpcof.gif}
-
-_httpiconealltdemo_ {_httpimg_/ealltof.gif}
-_httpiconealltdemo_ [l=mi] {_httpimg_/mealltof.gif}
-
-_textexplainbuttons_ {
-<p>
-<table cellspacing="0" cellpadding="2" border="0">
-<tr><td><img src="_httpimg_/smtext.gif" border="0"></td><td>_document:texticonsmalltext_</td></tr>
-<tr><td><img src="_httpimg_/clsdfldr.gif" border="0"></td><td>_document:texticonclosedfolder_</td></tr>
-<tr><td><img src="_httpimg_/more.gif"></td><td>_textnextbutton_</td></tr>
-<tr><td><img src="_httpimg_/less.gif"></td><td>_textprevbutton_</td></tr>
-<tr><td><img src="_httpicondtchdemo_"></td><td valign="center">_document:texticondetach_</td></tr>
-<tr><td><img src="_httpiconeexpdemo_"></td><td valign="center">_document:texticonexpandtoc_</td></tr>
-<tr><td><img src="_httpiconealltdemo_"></td><td valign="center">_document:texticonexpandtext_</td></tr>
-<tr><td><img src="_document:httpiconehlof_"></td><td valign="center">_document:texticonhighlight_</td></tr>
-</table>
-}
-
-_texthelpsearching_ {
-<h2>How to search for particular words</h2>
-<p>
-  From the search page, you make a query in these simple steps:<p>
-  
-  <ol><li>Specify what documents you want to search
-      <li>Say whether you want to search for all or just some of the words
-      <li>Type in the words you want to search for
-      <li>Click the <i>Begin Search</i> button
-  </ol>
-
-<p>When you make a query, the titles of twenty matching documents will be shown.
-There is a button at the end to take you on to the next twenty documents.  From
-there you will find buttons to take you on to the third twenty or back to the
-first twenty, and so on.  Click the title of any document, or the little button
-beside it, to see it.
-
-<p>A maximum of 100 is imposed on the number of
-  documents returned.  You can change this number by clicking the
-  <i>preferences</i> button at the top of the page.<p>
-
-<p>
-<a name=query-terms>
-_iconblankbar_<br>
-
-<h3>Search terms</h3>
-
-<p>The stuff that you type into the query box is interpreted as a list of words
-called "search terms."  Each term contains nothing but alphabetic characters
-and digits.  Terms are separated by white space.  If any other characters such
-as punctuation appear, they serve to separate terms just as though they were
-spaces.  And then they are ignored.  You can't search for words that include
-punctuation.
-
-<p>For example, the query<p>
-    <ul><kbd>Agro-forestry in the Pacific Islands: Systems for Sustainability (1993)</kbd></ul>
-      <p>will be treated the same as<p>
-      <ul><kbd>Agro forestry in the Pacific Islands  Systems for Sustainability  1993 </kbd></ul><p>
-<p>
-<a name=query-type>
-_iconblankbar_<br>
-
-<h3>Query type</h3>
-
-<p><ul>There are two different kinds of query.<p>
-
-  <li>Queries for <b>all</b> of the words.  These look for chapters (or
-      titles) that 
-      contain all the words you have specified.  Documents that satisfy the
-      query are displayed, in alphabetical order.<p>
-
-  <li>Queries for <b>some</b> of the words.  Just list some terms that are
-      likely to appear in the documents you are looking for.  Documents are
-      displayed in order of how closely they match the query.  When determining
-
-      the degree of match,
-
-      <p><ul>
-        <li> the more search terms a document contains, the closer it matches;
-        <li> rare terms are more important than common ones;
-        <li> short documents match better than long ones.
-      </ul>
-
-      <p>Use as many search terms as you like--a whole sentence, or even a
-      whole paragraph.  If you specify only
-      one term, documents will be ordered by its frequency of occurrence.<p>
-      
-</ul>
-
-<p>
-<a name=other-options><a name=scope-of-queries>
-_iconblankbar_<br>
-_texthelpscope_
-<h3 align=left>Case sensitivity and stemming</h3>
-
-<p>When you click the <i>preferences</i> button at the top of the page you will
-see two pairs of buttons that control the case sensitivity and stemming of your
-queries. The first set of buttons controls whether upper and lower case must
-match (case sensitivity).  The second set controls whether to ignore word
-endings or not (stemming).
-
-<p>For example, if the buttons <i>ignore case differences</i> and
-<i>ignore word endings</i> are selected, the query<p>
-    <ul><kbd>African building</kbd></ul>
-      <p>will be treated the same as<p>
-      <ul><kbd>africa builds</kbd></ul><p>
-      because the uppercase letter in "African" will be transformed to
-      lowercase, and  the suffixes "n" and "ing" will be removed from
-      "African" and "building" respectively (also, "s" would be removed from
-      "builds").
-}
-
-_textnumbrowseoptions_ {<p>There _If_("_numbrowseoptions_" == "1",is 1 way,are _numbrowseoptions_ ways) to 
-find information in this collection:}
-
-_textnumbrowseoptions_ [l=mi] {<p>E _numbrowseoptions_ ng&auml; huarahi hei rapu k&ouml;rero i te kohikohinga niupepa}
-
-_textsimplehelpheading_ {How to find information}
-
-_texthelpscope_ {
-<h3 align=left>Scope of queries</h3>
-
-<p>
-You can choose the "granularity" at which your search is done, that
-is, the size of the text against which the query is matched.
-You can choose <i>title</i> or
-<i>chapter</i>.
-
-<p>Regardless of how you search, the results are always displayed in terms of a
-complete book, opened at the appropriate place.
-
-<p>
-<a name=stemming>
-_iconblankbar_<br>
-}
-
-
-################################
-# Maori text                   #
-################################
-
-
-_texthelptopics_ [l=mi] {
-<h2 align=left>Kaupapa</h2>
-<ul>
-  <li><a href="\#finding-information">Ng&auml; huarahi hei rapu k&ouml;rero</a>
-  <li><a href="\#reading-books">Te p&auml;nui niupepa/kupu whakataki</a>
-  <li><a href="\#searching">Te rapu kupu</a>
-<ul>
-  <li><a href="\#query-terms">Ng&auml; kupu hei rapu</a>
-  <li><a href="\#query-type">Ng&auml; t&uuml;momo rapu</a>
-  <li><a href="\#scope-of-queries">Te wh&auml;nui o te rapu</a>
-  <li><a href="\#stemming">Ng&auml; p&uuml; matua, p&uuml; iti me ng&auml; k&uuml;muri hoki</a>
-</ul>
-</ul>
-}
-
-_texthelpsearching_ [l=mi] {
-<h2>Te rapu kupu</h2>
-<p>
-  Ko te wh&auml;rangi rapu te wh&auml;rangi hei rapu kupu. Ka puta mai taua wh&auml;rangi ka
-  whai mai &euml;nei k&ouml;kiri kia rapu ai i (t)&euml;tehi kupu:<p>	
-
-  <ol><li>K&ouml;whiritia ko ng&auml; niupepa, ko ng&auml; kupu whakataki r&auml;nei, 
-	ko ng&auml; r&auml;popoto reo P&auml;keh&auml;, ko aua mea e toru r&auml;nei
-      <li>K&ouml;whiritia ko &euml;tehi o ng&auml; kupu rapu, ko te katoa r&auml;nei o ng&auml;
-          kupu rapu
-      <li>Tuhia ng&auml; kupu rapu
-      <li>Pat&ouml;hia te p&auml;tene <i>Rapua</i>
-  </ol>
-<p>Ka tukua te rapu ka hoki mai ng&auml; pukapuka rua tekau e p&auml; ana ki &auml;u kupu rapu.
-He p&auml;tene kei raro r&auml; o te wh&auml;rangi hei titiro ai ki ng&auml; pukapuka 21 ki te
-40 e p&auml; ana ki &auml;u kupu rapu. M&auml; &euml;nei p&auml;tene kei raro r&auml; ka taea
-te tirohia te katoa o ng&auml; wh&auml;rangi e p&auml; ana ki t&auml;u i rapu ai.
-
-<p>Ka kore e nuku atu i te 100 o ng&auml; pukapuka ka kitea i t&euml;tehi rapunga. Heoi an&auml;
-ka taea te whakarerek&euml; t&euml;nei nama i te wh&auml;rangi whiriwhiringa.
-
-<p>
-<a name=query-terms>
-_iconblankbar_<br>
-
-<h3>Ng&auml; kupu hei rapu</h3>
-
-<p>Koia nei ng&auml; kupu ka tuhia ki roto i te pouaka rapu. Me tuhi ko ng&auml; reta me ng&auml;
-nama anak&euml;. Kaua e tuhia ng&auml; tohu t&ouml;, he uaua te kite i ng&auml; tohu t&ouml; i roto 
-i ng&auml; niupepa. Me noho te mokow&auml; (w&auml;hi w&auml;tea) i waenganui i ng&auml; kupu.
-Kaua e tuhi ng&auml; tuhutuhi (p&euml;r&auml; i te "?" me te "/"), ka tangohia aua tohu e te
-rorohiko nei, ka whakauru ko te mokow&auml;.
-
-<p>Hei tauira, ki te tuku atu i &euml;nei kupu rapu;
-    <ul><kbd>huihuinga-a-motu / Whanganui (1860-1885)</kbd></ul>
-       <p>ka rapua k&euml;tia e te rorohiko &euml;nei kupu;
-    <ul><kbd>huihuinga a motu Whanganui 1860 1885</kbd></ul><p>
-
-<p>
-<a name=query-type>
-_iconblankbar_<br>
-
-<h3>Ng&auml; T&uuml;momo Rapu</h3>
-
-<p><ul>E rua ng&auml; t&uuml;momo rapu<p>
-
-  <li>Ka rapua te <b>katoa</b> o &auml;u kupu rapu. Ka rapua ng&auml; pukapuka e mau ana i te katoa
-      o ng&auml; kupu rapu kua tuhia e koe. Ka whakaatu mai aua pukapuka e p&auml; ana ki te 
-      whakar&auml;rangi-&auml;-p&uuml;.
-
-  <li>Ka rapua <b>&euml;tehi</b> o &auml;u kupu rapu. N&ouml; reira, me tuhi noa he kupu e p&auml;
-      ana ki te kaupapa e hiahia ana koe. Ka whakar&auml;rangitia ng&auml; pukapuka e p&auml; ana
-      ki te ritenga ki &auml;u kupu rapu. Ar&auml;, ka puta tuatahitia mai ng&auml; pukapuka;	 
-
-      <p><ul>
-        <li> e mau ana i te maha o &auml;u kupu rapu;
-        <li> e mau ana i ng&auml; kupu uaua te kite o &auml;u kupu rapu;
-        <li> e iti ana, ka whai mai ko ng&auml; pukapuka nui.
-      </ul>
-
-      <p>Me tuhi i te maha o ng&auml; kupu rapu kia arahina te rapu ki t&ouml; ake hiahia.
-</ul>
-
-<p>
-<a name=other-options><a name=scope-of-queries>
-_iconblankbar_<br>
-
-_texthelpscope_
-
-<h3 align=left>Ng&auml; p&uuml; matua, p&uuml; iti me ng&auml; k&uuml;muri hoki</h3>
-
-<p>Pat&ouml;hia te p&auml;tene whiriwhiringa kia puta mai ai te wh&auml;rangi e p&auml;
-ana ki ng&auml; p&uuml; matua, p&uuml; iti me ng&auml; k&uuml;muri hoki. Ka h&auml;ngai
-te whiriwhiringa tuatahi ki ng&auml; p&uuml; matua me ng&auml; p&uuml; iti. &Auml;e
-r&auml;nei, me tika te p&uuml; matua me te p&uuml; iti, k&auml;ore r&auml;nei, hei aha
-te &auml;ta titiro ki ng&auml; p&uuml; matua me ng&auml; p&uuml; iti. Ka h&auml;ngai te
-whiriwhiringa tuarua ki ng&auml; k&uuml;muri o te kupu. &Auml;e r&auml;nei, me tino
-&ouml;rite te k&uuml;muri, k&auml;ore r&auml;nei, hei aha te &auml;ta titiro ki ng&auml; 
-k&uuml;muri o ng&auml; kupu. M&ouml; ng&auml; kupu P&auml;keh&auml; anak&euml; te 
-whiriwhiringa k&uuml;muri.
-
-<p>Hei tauira, mehemea ka k&ouml;whiritia te <i>hei aha te p&uuml; matua me te p&uuml;
-iti</i>, &auml;, ka k&ouml;whiritia hoki te <i>hei aha te k&uuml;muri o te kupu</i>
-k&auml;tahi ka tukua &euml;nei kupu hei rapu;
-<p>
-  <ul><kbd>Aotearoa building</kbd></ul>
-    <p>ka &ouml;rite te whakahoki mai o ng&auml; pukapuka ki &euml;nei kupu rapu
-  <ul><kbd>aotearoa builds</kbd></ul>
-<p>ka p&euml;nei i te mea, k&auml;ore te rapu i te &auml;ta titiro mehemea he p&uuml;
-matua, he p&uuml; iti r&auml;nei, &auml, ka tangohia ng&auml; k&uuml;muri (p&euml;r&auml;
-i te "ing", me te "s") i t&euml;nei whiriwhiringa.
-
-}
-
-_textsimplehelpheading_ [l=mi] {Ng&auml; huarahi hei rapu k&ouml;rero}
-
-_textnextbutton_ [l=mi] {Haere whakamua}
-_textprevbutton_ [l=mi] {Haere whakamuri}
-
-
-
-################################
-# Chinese text                 #
-################################
-
-_texthelptopics_ [l=zh] {
-<h2 align=left>ç®åœ</h2>
-<ul>
-  <li><a href="\#finding-information">_textsimplehelpheading_</a>
-  <li><a href="\#reading-books"> åŠäœé
-è¯»ä¹Šç®</a>
-  <li><a href="\#searching"> åŠäœæç¹å®å­æ¥è¯¢</a>
-<ul>
-  <li><a href="\#query-terms">    æ£çŽ¢é¡¹</a>
-  <li><a href="\#query-type">      æ¥è¯¢ç±»å</a>
-  <li><a href="\#scope-of-queries">      æ¥è¯¢èåŽ</a>
-</ul>
-</ul>
-}
-
-_textsimplehelpheading_ [l=zh] {åŠäœæ¥æŸä¿¡æ¯}
-
-
-_texthelpreadingbooks_ [l=zh] {
-<h2>åŠäœé
-è¯»ä¹Šç®</h2>
-
-<p>   åœè¿å
-¥æäžä¹Šç®æ¶ïŒéè¿å°é¢ïŒäœ å¯åŸç¥å±å¹æ­£åšæŸç€ºåªäžäžªä¹Šç®ïŒå°é¢æèŸ¹æ¯ç®åœè¡šïŒç®­å€Žæææ­€æ¶æå€äœçœ®ãè¯¥ç®åœè¡šæ¯å¯æ©å±çïŒåå»æ­€ç®åœè¡šïŒå¯å®ç°æåŒæå
-³é­ïŒåå»é¡¶éšæåŒçä¹Šç®ä»¥å
-³é­å®ã
-
-<p>ç®åœè¡šäžé¢æ¯åœåéšä»œçææ¬ïŒåšæ­€ä¹åæäž€äžªç®­å€Žåå«æåäžäžéšä»œæåäžéšä»œææ¬ã
-
-<p>åšå°é¢äžæ¹æäžäžªæé®ïŒåå»âåçŠ»âïŒåæåŒåŠäžæµè§çªæŸç€ºè¯¥å±å¹ïŒè¿äžªåèœåšæ³èŠæ¯èŸäžåçä¹Šæåæ¶é
-è¯»äž€æ¬ä¹Šæ¶æ¯æåž®å©çïŒïŒåå»âæ©å±å
-å®¹âä»¥åŸå°æŽäžªä¹Šç®è¡šïŒä»èçå°ææç« èçç®åœïŒåå»âæ©å±ææ¬âå¯è·åŸåœåç« èæä¹Šç®çå
-šéšææ¬ïŒåŠææ¯äžæ¬åŸé¿çä¹ŠïŒå¯èœäŒéèŠèŸé¿çæ¶éŽä»¥åå€§éçå
-å­ã
-}
-
-_textnextbutton_ [l=zh] {ãåå»ç®­å€ŽïŒè¿å
-¥äžäžéšä»œ}
-_textprevbutton_ [l=zh] {ãæè
-è¿ååé¡µ}
-
-_texthelpsearching_ [l=zh] {
-<h2>åŠäœæç¹å®å­æ¥è¯¢</h2>
-<p>
-ä»æ¥è¯¢é¡µïŒæä»¥äžç®åçæ­¥éª€èŸå
-¥æ¥è¯¢é¡¹ïŒ<p>
-  
-  <ol><li>æææ³èŠæ¥è¯¢çæä»¶
-      <li>éæ©æ¯æ¥è¯¢ææå­è¿æ¯éšä»œå­
-      <li>èŸå
-¥èŠæ¥è¯¢çå­
-      <li>åå»âåŒå§æ¥è¯¢â
-  </ol>
-
-<p>è¿è¡æ¥è¯¢åïŒç¬¬äžç»ïŒïŒäžªå¹é
-äžçè®°åœçé¢åäŒæŸç€ºåºæ¥ïŒåšæ­€ïŒïŒäžªé¢åä¹åæäžæé®å¯ä»¥æåäžäžç»ïŒïŒäžªè®°åœçé¢åïŒä»è¯¥å±å¹äœ å¯çå°äž€äžªæé®ïŒäžäžªæé®è¿äžæ­¥æåç¬¬äžç»ïŒïŒäžªè®°åœçé¢åïŒåŠå€äžäžªæé®çšæ¥è¿åäžäžç»é¢åãåå»ä»»äžä¹Šç®çé¢åæå
-¶æèŸ¹çå°æé®ïŒå°±å¯è¿è¡é
-è¯»è¿æ¡è®°åœçè¯Šç»å
-å®¹ã
-
-<p>æå€è¿åïŒïŒïŒæ¡è®°åœïŒåŠèŠæ¹åè¯¥æ°ç®ïŒååå»é¡µé¢å³äžæ¹çâéé¡¹â
-
-<p>
-<a name=query-terms>
-_iconblankbar_<br>
-
-<h2>æ£çŽ¢é¡¹</h2>
-
-<p>èŸå
-¥å°æ¥è¯¢æ¡äž­çå
-å®¹ïŒå°è¢«èœ¬åæäžäžªå«åæ¥è¯¢é¡¹çåå­éïŒæ¥è¯¢é¡¹å¯ä»¥æ¯æ±å­ãé¿æäŒ¯å­æ¯ææ°å­ïŒæ¥è¯¢é¡¹ä¹éŽå¯ä»¥æç©ºæ ŒïŒä¹å¯ä»¥æ²¡æãåŠæéå°å
-¶ä»çç¬Šå·ïŒäŸåŠæ ç¹ç¬Šå·ïŒåäŒè¢«å¿œç¥ïŒå¹¶å°å®ä»¬çäœç©ºæ Œå€çïŒå æ­€äžèœæ¥è¯¢å
-å«æ ç¹ç¬Šå·çè¯ã
-
-<p>äŸåŠïŒæ¥è¯¢<p>
-    <ul><kbd>    å
-å®¹å
-æ¬ïŒèœ¯ä»¶å·¥çšïŒ1999ïŒ</kbd></ul>
-      <p>äžäžé¢çæ¥è¯¢é¡¹å€çæ¯çžåç<p>
-      <ul><kbd>ããå
-å®¹å
-æ¬èœ¯ä»¶å·¥çš1999</kbd></ul><p>
-
-<a name=query-type>
-_iconblankbar_<br>
-
-<h2>æ¥è¯¢ç±»å</h2>
-
-<p><ul>å¯ä»¥æäž€ç§äžåçæ¹åŒæ¥è¯¢ïŒ<p>
-
-  <li>æ¥è¯¢ææçå­ãåšè¿ç§æ
-åµäžç³»ç»å°æ¥æŸå
-æ¬ææåšæ¥è¯¢é¡¹æå®çå­çè®°åœïŒæé¢åïŒãç¬Šåæ¡ä»¶çè®°åœå°è¢«æŸç€ºåšå±å¹äžã
-
-  <li>æ¥è¯¢éšä»œå­ãç³»ç»ä»
-æ¥æŸå
-å«æ¥è¯¢é¡¹äž­ä»»æäžäžªæå äžªå­çè®°åœïŒæä»¶æå
-¶äžæ¥è¯¢å
-å®¹æå¹é
-ççšåºŠæ¥æŸç€ºïŒåšå³å®å¹é
-çšåºŠæ¶ïŒ
-
-      <p><ul>
-        <li> ãå
-å«è¶å€çæ¥è¯¢é¡¹çè®°åœïŒå
-¶å¹é
-çšåºŠè¶é«ïŒ
-        <li> ãå°è§çæ¥è¯¢é¡¹æ¯åžžè§çæ¥è¯¢é¡¹æŽéèŠïŒ
-        <li> ãç­è®°åœæ¯é¿è®°åœçå¹é
-çšåºŠé«ã
-      </ul>
-
-      <p>åšå¯èœçæ
-åµäžïŒäœ¿çšå°œå¯èœå€çæ¥è¯¢é¡¹äžºå¥œïŒäžäžªå¥å­ïŒæè
-äžäžªæ®µèœãåŠæåªç»äžäžªæ¥è¯¢é¡¹ïŒæ¥è¯¢ç»æå°æç
-§å
-¶åšè®°åœäž­åºç°çé¢çè¿è¡æåºã
-      
-</ul>
-
-<p>
-<a name=other-options><a name=scope-of-queries>
-_iconblankbar_<br>
-_texthelpscope_
-}
-
-_texthelpscope_ [l=zh] {
-<h2 align=left>æ¥è¯¢èåŽ</h2>
-
-<p>
-å¯ä»¥éæ©åšä»ä¹èåŽå
-è¿è¡æ¥è¯¢ïŒæ¢æ¥è¯¢é¡¹åšä»ä¹èåŽå
-è¿è¡å¹é
-ãå¯ä»¥éæ©é¢åæç« èã
-
-<p>æ è®ºåšä»ä¹èåŽå
-è¿è¡æ¥è¯¢ïŒæ¥è¯¢ç»æéœå°æ¯æŽæ¡è®°åœã
+<p>_iconblankbar_
+<a name=preferences>
+_texthelppreferences_
+<p>_iconblankbar_
 }
 
@@ -611,2 +40,6 @@
 
 
+
+
+
+
